#
# spec file for package ragel6 (Version 6.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ragel6
Version:        6.2
Release:        1.1
%define pkg_name ragel
#
License:        GPL
Group:          Development/Languages/C and C++
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  docbook-utils gcc-c++ gcc-objc ghostscript-fonts-std ghostscript-library gperf ruby-devel transfig vim
Requires:       vim
Provides:       %{pkg_name} = %{name}-%{release}
Conflicts:      ragel5
#
Url:            http://www.cs.queensu.ca/home/thurston/ragel/
Source:         http://www.cs.queensu.ca/home/thurston/ragel/%{pkg_name}-%{version}.tar.bz2
Source1:        http://www.cs.queensu.ca/home/thurston/ragel/ragel-guide-%{version}.pdf
#
Summary:        Ragel State Machine Compiler
%description
Ragel compiles finite state machines from regular languages into executable C,
C++, Objective-C, or D code. Ragel state machines can not only recognize byte
sequences as regular expression machines do, but can also execute code at
arbitrary points in the recognition of a regular language. Code embedding is
done using inline operators that do not disrupt the regular language syntax.



Authors:
---------
    Adrian Thurston

%prep
%setup -n %{pkg_name}-%{version}

%build
%configure
%{__make}
%{__make} -C doc/

%check
%{__make} -C test/

%install
perl -p -i -e \
's|../ragel/ragel|%{_bindir}/ragel|g; \
 s|../rlgen-cd/rlgen-cd|%{_bindir}/rlgen-cd|g; \
 s| \$\(RAGEL\) \$\(RLCODEGEN\)||g;' examples/Makefile
%makeinstall \
    prefix=%{buildroot}%{_prefix}
%makeinstall -C doc/ \
    docdir=%{buildroot}%{_docdir}/%{name}/ \
    mandir=%{buildroot}%{_mandir}/
%{__install} -m 0644 COPYING CREDITS README TODO %{S:1} \
    %{buildroot}%{_docdir}/%{name}/
%{__cp} -rv examples/ %{buildroot}%{_docdir}/%{name}/
%{__install} -D -m 0644 ragel.vim %{buildroot}%{_datadir}/vim/current/syntax/ragel.vim

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/ragel
%{_bindir}/rlgen-cd
%{_bindir}/rlgen-dot
%{_bindir}/rlgen-java
%{_bindir}/rlgen-ruby
%{_bindir}/rlgen-csharp
%{_mandir}/man1/ragel.1*
%{_mandir}/man1/rlgen-cd.1*
%{_mandir}/man1/rlgen-dot.1*
%{_mandir}/man1/rlgen-java.1*
%{_mandir}/man1/rlgen-ruby.1*
%doc %{_docdir}/%{name}/
%{_datadir}/vim/current/syntax/ragel.vim

%changelog
* Tue Aug 26 2008 mrueckert@suse.de
- update to version 6.2
  too many changes see /usr/share/doc/packages/ragel/ChangeLog
* Sun Dec 30 2007 mrueckert@suse.de
- update to version 5.25
- added ragel-5.25_gcc43.patch:
  fix the most important warnings/errors
* Sun Sep 16 2007 mrueckert@suse.de
- update to version 5.24
* Wed Jul 25 2007 mrueckert@suse.de
- update to version 5.23
* Sat May 12 2007 mrueckert@suse.de
- update to version 5.21
* Sun Apr  8 2007 mrueckert@suse.de
- update to version 5.20
* Tue Apr  3 2007 mrueckert@suse.de
- update to version 5.19
* Wed Feb 14 2007 mrueckert@suse.de
- update to version 5.18
* Sun Jan 28 2007 mrueckert@suse.de
- update to version 5.17
* Sat Nov 11 2006 mrueckert@suse.de
- update to version 5.15
* Mon Oct  2 2006 mrueckert@suse.de
- update to version 5.14
